---
displayed_sidebar: jsClientSidebar
---

# Interface: RequestOptions

[internal](../modules/internal.md).RequestOptions

## Properties

### numberOfRetries

• `Optional` **numberOfRetries**: `number`

#### Defined in

[medusa-js/src/request.ts:18](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/request.ts#L18)

___

### timeout

• `Optional` **timeout**: `number`

#### Defined in

[medusa-js/src/request.ts:17](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/request.ts#L17)
